Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163096 - cpio - CAN-2005-1111 race and CAN-2005-1229 directory traversal issues
Summary: cpio - CAN-2005-1111 race and CAN-2005-1229 directory traversal issues
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: cpio
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 20:36 UTC by Michal Jaegermann
Modified: 2007-04-18 17:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 00:36:10 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-07-12 20:36:20 UTC
Description of problem:

Bug #155751 and bug #156314 describe problems detailed in CAN-2005-1111
and CAN-2005-1229.  This is different than bug #152891.  A version of cpio
with these fixed is included in FC4 set.

For RHEL 7.3 there is a new source package at
ftp://ftp.harddata.com/pub/Legacy_srpms/cpio-2.4.2-26.1hd.src.rpm
with two patches "ported" from cpio-2.6-7 (FC4).  This changes semantics.
An old '--no-absolute-filenames' is still recognized, although not documented,
but this is a default which can be changed with new '--absolute-filenames'.

These issues affect all other versions of cpio below 2.6-7.

Comment 1 David Eisenstein 2007-04-12 00:36:10 UTC
Red Hat Linux and Fedora Core releases <=4 are now completely unmaintained.
These bugs can't be fixed in these versions.  If the issue still persists in
current Fedora Core releases, please reopen.  Thank you, and sorry about this.


Note You need to log in before you can comment on or make changes to this bug.